[tox]
envlist =
    py{36,37,38,39,310-dev},
    flake8,
    mypy

[gh-actions]
python =
    3.6: py36
    3.7: py37
    3.8: py38
    3.9: py39
    3.10: py310-dev

[testenv]
deps=
    pytest
    git+https://github.com/sphinx-doc/sphinx
extras=
    test
setenv =
    PYTHONWARNINGS = all,ignore::DeprecationWarning:docutils.io
commands=
    pytest --durations 25 {posargs}

[testenv:flake8]
description =
    Run style checks.
extras =
    test
    lint
commands=
    flake8

[testenv:mypy]
description =
    Run type checks.
extras =
    test
    lint
commands=
    mypy sphinxcontrib/
